# Deprecated API

## Contents

- Interfaces
- Fields
- Methods
- Constructors
- Enum Constants

Deprecated Interfaces
Interface
Description
org.apache.zookeeper.KeeperException.CodeDeprecated

Deprecated Fields
Field
Description
org.apache.zookeeper.client.ZooKeeperSaslClient.ENABLE_CLIENT_SASL_DEFAULT
Use `ZKClientConfig.ENABLE_CLIENT_SASL_DEFAULT` instead.
org.apache.zookeeper.client.ZooKeeperSaslClient.ENABLE_CLIENT_SASL_KEY
Use `ZKClientConfig.ENABLE_CLIENT_SASL_KEY` instead.
org.apache.zookeeper.client.ZooKeeperSaslClient.LOGIN_CONTEXT_NAME_KEY
Use `ZKClientConfig.LOGIN_CONTEXT_NAME_KEY` instead.
org.apache.zookeeper.KeeperException.CodeDeprecated.APIError
deprecated in 3.1.0, use `KeeperException.Code.APIERROR` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.AuthFailed
deprecated in 3.1.0, use `KeeperException.Code.AUTHFAILED` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.BadArguments
deprecated in 3.1.0, use `KeeperException.Code.BADARGUMENTS` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.BadVersion
deprecated in 3.1.0, use `KeeperException.Code.BADVERSION` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.ConnectionLoss
deprecated in 3.1.0, use `KeeperException.Code.CONNECTIONLOSS` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.DataInconsistency
deprecated in 3.1.0, use `KeeperException.Code.DATAINCONSISTENCY` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.EphemeralOnLocalSession
org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidACL
deprecated in 3.1.0, use `KeeperException.Code.INVALIDACL` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.InvalidCallback
deprecated in 3.1.0, use `KeeperException.Code.INVALIDCALLBACK` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.MarshallingError
deprecated in 3.1.0, use `KeeperException.Code.MARSHALLINGERROR` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NewConfigNoQuorum
deprecated in 3.1.0, use `KeeperException.Code.NEWCONFIGNOQUORUM` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NoAuth
deprecated in 3.1.0, use `KeeperException.Code.NOAUTH` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NoChildrenForEphemerals
deprecated in 3.1.0, use `KeeperException.Code.NOCHILDRENFOREPHEMERALS` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NodeExists
deprecated in 3.1.0, use `KeeperException.Code.NODEEXISTS` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NoNode
deprecated in 3.1.0, use `KeeperException.Code.NONODE` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.NotEmpty
deprecated in 3.1.0, use `KeeperException.Code.NOTEMPTY` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.Ok
deprecated in 3.1.0, use `KeeperException.Code.OK` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.OperationTimeout
deprecated in 3.1.0, use `KeeperException.Code.OPERATIONTIMEOUT` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.ReconfigInProgress
deprecated in 3.1.0, use `KeeperException.Code.RECONFIGINPROGRESS` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.RuntimeInconsistency
deprecated in 3.1.0, use `KeeperException.Code.RUNTIMEINCONSISTENCY` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.SessionExpired
deprecated in 3.1.0, use `KeeperException.Code.SESSIONEXPIRED` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.SystemError
deprecated in 3.1.0, use `KeeperException.Code.SYSTEMERROR` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.Unimplemented
deprecated in 3.1.0, use `KeeperException.Code.UNIMPLEMENTED` instead
org.apache.zookeeper.KeeperException.CodeDeprecated.UnknownSession
org.apache.zookeeper.server.ZooTrace.CLIENT_DATA_PACKET_TRACE_MASK
org.apache.zookeeper.server.ZooTrace.JMX_TRACE_MASK
org.apache.zookeeper.ZooKeeper.SECURE_CLIENT
Use `ZKClientConfig.SECURE_CLIENT` instead.
org.apache.zookeeper.ZooKeeper.ZOOKEEPER_CLIENT_CNXN_SOCKET
Use `ZKClientConfig.ZOOKEEPER_CLIENT_CNXN_SOCKET` instead.

Deprecated Methods
Method
Description
org.apache.jute.compiler.generated.SimpleCharStream.getColumn()
org.apache.jute.compiler.generated.SimpleCharStream.getLine()
org.apache.zookeeper.client.ZooKeeperSaslClient.isEnabled()
Use `ZKClientConfig.isSaslClientEnabled()` instead
org.apache.zookeeper.common.ZKConfig.addConfiguration(File)
org.apache.zookeeper.common.ZKConfig.addConfiguration(String)
org.apache.zookeeper.KeeperException.create(int)
deprecated in 3.1.0, use `KeeperException.create(Code)` instead
org.apache.zookeeper.KeeperException.create(int, String)
deprecated in 3.1.0, use `KeeperException.create(Code, String)` instead
org.apache.zookeeper.KeeperException.getCode()
deprecated in 3.1.0, use `KeeperException.code()` instead
org.apache.zookeeper.KeeperException.setCode(int)
deprecated in 3.1.0, exceptions should be immutable, this method should not be used
org.apache.zookeeper.server.DataTree.copyStat(Stat, Stat)
org.apache.zookeeper.server.DataTree.copyStatPersisted(StatPersisted, StatPersisted)
org.apache.zookeeper.Version.getRevision()

Deprecated Constructors
Constructor
Description
org.apache.zookeeper.client.ZKClientConfig(File)
org.apache.zookeeper.client.ZKClientConfig(String)
org.apache.zookeeper.common.ZKConfig(File)
org.apache.zookeeper.common.ZKConfig(String)

Deprecated Enum Constants
Enum Constant
Description
org.apache.zookeeper.Watcher.Event.KeeperState.NoSyncConnected
org.apache.zookeeper.Watcher.Event.KeeperState.Unknown